@REM IBM Confidential OCO Source Material
@REM 5630-A36 (C) COPYRIGHT International Business Machines Corp. 2000, 2002
@REM The source code for this program is not published or otherwise divested
@REM of its trade secrets, irrespective of what has been deposited with the
@REM U.S. Copyright Office.

@REM #####################################################
@REM #                                                   #
@REM # J2C Migration Tool                                #
@REM #                                                   #  
@REM # Version 1.0                                       #
@REM #                                                   #
@REM #####################################################
@echo off
setlocal



@REM===========================================================================
@REM set ECLIPSE_ROOT and JDK_HOME
@REM mske sure the follow directories are valid
@REM RARVARPATH - directory of where ResourceAdapters are located 
@REM WASRUNTIME - Your server runtime directory                                                                                            
@REM===========================================================================

@REM ECLIPSE_ROOT is the directory of where your eclipse.exe and eclipse.ini is located
@REM
@REM      the default path for RAD is c:\IBM\RAD
@REM      the default path for RSA is c:\IBM\RSA
@REM
if .%ECLIPSE_ROOT%.==.. SET ECLIPSE_ROOT=C:\IBM\RXD
if not exist "%ECLIPSE_ROOT%" echo ERROR: ECLIPSE_ROOT=%ECLIPSE_ROOT% not found & (GOTO error:)

echo ECLIPSE_ROOT=%ECLIPSE_ROOT% exist

if .%JDK_HOME%.==.. SET JDK_HOME=%ECLIPSE_ROOT%\jdk\jre\bin\
@REM JDK_HOME is the directory of where you java.exe is located



if not exist "%JDK_HOME%" echo ERROR:  JDK_HOME=%JDK_HOME% not found & ( GOTO error:)
ECHO.
echo  JDK_HOME=%JDK_HOME% exist
ECHO.
SET WASRUNTIME=%ECLIPSE_ROOT%/runtimes
if not exist "%WASRUNTIME%" echo ERROR: ws.runtime=%WASRUNTIME% not found & (GOTO error:)
ECHO.
echo  WAS.RUNTIME=%WASRUNTIME% exist
ECHO.
SET RARVARPATH=%ECLIPSE_ROOT%/ResourceAdapters
if not exist "%RARVARPATH%" echo ERROR: rarsPathVar=%RARVARPATH% not found & (GOTO error:)
ECHO.
echo  rarsPathVar=%RARVARPATH% exist
ECHO.
IF .%1.==.. echo ERROR: You should provide at least one input after J2CMigration.bat & ( GOTO error:)
ECHO.

@REM Set the classpath for the tool.
:setOptions
IF .%1.==.-f. (SET inputfile=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setenv)
IF .%1.==.-w. (SET wsdlsource=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-p. (SET project=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-d. (SET WORKSPACE=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-t. (SET type=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-s. (SET summary=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF .%1.==.-o. (SET option=%2) & (SHIFT /1) & (SHIFT /1) & (GOTO setOptions)
IF NOT .%1.==.. (SHIFT /1) & (GOTO setOptions)
@REM
@REM=============================================================
@REM set eclipse root and workspace
@REM=============================================================
:OK
if .%WORKSPACE%.==.. SET WORKSPACE=%ECLIPSE_ROOT%\workspace\Migration1
ECHO ===============================================
ECHO Displaying options entered from command line
ECHO ===============================================
ECHO.
ECHO option:%option%
ECHO.
ECHO type:%type%
ECHO.
echo project:%project%
ECHO.
ECHO summary:%summary%
ECHO.
ECHO wsdlsource:%wsdlsource% 
ECHO.
ECHO summary=%summary%
ECHO.
ECHO ================================================
ECHO.
ECHO eclipse_root: %ECLIPSE_ROOT%
ECHO.jdk_home: %JDK_HOME%
ECHO workspace: %WORKSPACE%
ECHO rarsPathVar: %RARVARPATH%
ECHO was.runtime: %WASRUNTIME%
ECHO.
ECHO.
ECHO. 
ECHO ===============================================
ECHO.
IF NOT .%project%.==..  SET OUTPUT=-output="%project%" 
IF NOT .%summary%.==..  SET REPORT=-report="%summary%" 
IF NOT .%wsdlsource%.==.. SET WSDL=-wsdl="%wsdlsource%"
IF NOT .%option%.==.. SET OPTION=-%option%
IF NOT .%type%.==.. SET TYPE=-%type%


@REM -clean option only for internal development to pickup fixes by migration.jar plugin.
@REM -clean will take a long time , normally do not use -clean
@REM ECHO. "%JDK_HOME%\java" -Xj9 -Dwas.runtime="%WASRUNTIME%"  -DrarsPathVar="%RARVARPATH%" -cp "%ECLIPSE_ROOT%\startup.jar" org.eclipse.core.launcher.Main -clean -data @REM "%WORKSPACE%" -application com.ibm.j2c.migration.wsadie.J2CMigration  %WSDL% %OUTPUT% %TYPE%  %REPORT% %OPTION% 
@REM
ECHO.
ECHO Invoking the command line migration Tool by passing options explicitly :eclipse_root:%ECLIPSE_ROOT%
ECHO.
"%JDK_HOME%\java" -cp "%ECLIPSE_ROOT%\startup.jar"  -Xj9 -Dwas.runtime="%WASRUNTIME%" -DrarsPathVar="%RARVARPATH%"    org.eclipse.core.launcher.Main   -data "%WORKSPACE%" -application com.ibm.j2c.migration.wsadie.J2CMigration  %WSDL% %OUTPUT% %TYPE%  %REPORT% %OPTION% 

goto end 


@REM===========================================================================
@REM set workspace for options file migration processing
@REM===========================================================================
:setenv

if .%WORKSPACE%.==.. SET WORKSPACE=%ECLIPSE_ROOT%\workspace\Migration2

ECHO. 
ECHO.
ECHO ================================================
ECHO.
ECHO eclipse_root: %ECLIPSE_ROOT%
ECHO.jdk_home: %JDK_HOME%
ECHO workspace: %WORKSPACE%
ECHO rarsPathVar: %RARVARPATH%
ECHO was.runtime: %WASRUNTIME%
ECHO.
ECHO ================================================
ECHO.
IF NOT .%inputfile%.==..  SET FILE=-file="%inputfile%"
ECHO.
ECHO inputfile :%inputfile%
ECHO %FILE%
ECHO.
@REM -clean option only for internal development to pickup fixes by migration.jar plugin.
@REM -clean will take a long time , normally do not use -clean
@REM ECHO. "%JDK_HOME%\java" -Xj9  -Dwas.runtime="%WASRUNTIME%"   -DrarsPathVar=%RARVARPATH%"  -cp "%ECLIPSE_ROOT%\startup.jar" org.eclipse.core.launcher.Main -clean -data "%WORKSPACE%" -application com.ibm.j2c.migration.wsadie.J2CMigration   %FILE% 
@REM
ECHO here
ECHO Invoking the command line migration Tool by passing in options file
ECHO.
"%JDK_HOME%\java"  -cp "%ECLIPSE_ROOT%\startup.jar"  -Xj9  -Dwas.runtime=%WASRUNTIME%" -DrarsPathVar=%RARVARPATH%"      org.eclipse.core.launcher.Main    -data "%WORKSPACE%"  -application  com.ibm.j2c.migration.wsadie.J2CMigration  %FILE% 
ECHO Migration Done
goto end 

:error
ECHO.
ECHO.
ECHO.
:usage
ECHO=======================================================================
ECHO. 
ECHO. You need to set the ECLIPSE_ROOT as well as the JDK_HOME  inside the J2CMigration.bat first
ECHO. You have to make sure the following are correct
ECHO.
ECHO. ECLIPSE_ROOT: %ECLIPSE_ROOT% - where eclipse.exe and eclipse.ini is located
ECHO. the default path for RAD is c:\IBM\RAD
ECHO. the default path for RSA is c:\IBM\RSA
ECHO. JDK_HOME: %JDK_HOME% - where java.exe is located
ECHO. rarsPathVar: %RARVARPATH% - directory of where Resource Adapters are located 
ECHO.
ECHO  was.runtime: %WASRUNTIME% - Your server runtime directory   
ECHO.You can locate the default values of rarsPathVar and was.runtime in %ECLIPSE_ROOT%\configuration\config.ini
ECHO.
ECHO.
ECHO.
ECHO.======================================================================
ECHO.
ECHO Usage:      J2CMigration.bat 
ECHO             -w wsdlsource -d workspace [-p project] [-t type] [-o option] [-s summary] 
ECHO.
ECHO or
ECHO.
ECHO.            J2CMigration.bat -f migrationinputfile
ECHO.
ECHO workspace:  The workspace of where output is generated 
ECHO.
ECHO wsdlsource: The full path of the service WSDL file
ECHO             or the full path of the folder that contains one or more
ECHO             services WSDL files.
ECHO.
ECHO project:    The name of the project where the migrated artifacts will be generated.
ECHO             Do not include a path, just a Name for the project.  
ECHO             You can specify web, Java, or EJB project to be created.
ECHO             If no project is specified, a default Java project will be created.
ECHO             If you do not specify the -p option, then the migrated artifacts
ECHO             will be generated to the project specified in the service WSDL file.
ECHO.
ECHO type:       WEB or EJB orJAVA
ECHO             Project type of the output project
ECHO.
ECHO option:     databindingonly or commandbean
ECHO             databindingonly: Specify this option if you want only data binding 
ECHO                              beans to be generated during migration.    
ECHO             commandbean:     Specify this option if you want 
ECHO                              a command bean to be generated. 
ECHO             If you specify databindingonly, 
ECHO             the commandbean option will be ignored.
ECHO.
ECHO summary:    The name of migration summary (without .xml).
ECHO             If none is specified, the default summary file will be 
ECHO             j2cmigration_timestamp.xml 
ECHO             If the summary file say summary.xml already exists,
ECHO             we will write the summary to the summary_timestamp.xml.
ECHO.            If you specify a location say d:\summaryFolder\summary, the summaryFolder must exist
ECHO.            If you do not specify a location, the summary will be generated in the current directory.  
ECHO.              
ECHO.
ECHO.migrationinputfile: The migration file which contains the above options to be
ECHO.                    passed into the command line migration tool
ECHO.                    This method is useful when you command line options are too 
ECHO                     long. See SampleMigration.txt for reference.
ECHO.                     
ECHO.
ECHO=================================================================================
ECHO.
ECHO.Example: 
ECHO.
ECHO. 
ECHO. J2CMigration.bat -d "d:\myworkspace" -w "d:\mywsdl.wsdl" -p "OutputProject"
ECHO. J2CMigration.bat  -w "d:\mywsdl.wsdl" -p "OutputProject" -s "MigrationReport"
ECHO. J2CMigration.bat  -w "d:\mywsdlFolder" -p "OutputProject" -s "MigrationReport"
ECHO. J2CMigration.bat -w "d:\myfolder" -o databindingonly  
ECHO. J2CMigration.bat -w "d:\myfolder" -o commandbean -t EJB  
ECHO. J2CMigration.bat -f "d:\SampleMigratiom.txt"
ECHO.
:end
endlocal
ECHO off
